services:
  - docker:dind

variables:
  DOCKER_IMAGE_NAME: $CI_REGISTRY_IMAGE:latest

stages:
  - build-docker-image
  - build-package

build-docker-image:
  image: docker:latest
  stage: build-docker-image
  only:
  - schedules
  except:
  - tags
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    - docker build --pull -t "$DOCKER_IMAGE_NAME" .
    - docker push "$DOCKER_IMAGE_NAME"

build-package:
  image: "$DOCKER_IMAGE_NAME"
  stage: build-package
  script:
    - export LC_ALL=C
    - export LANGUAGE=C
    - export LANG=C
    - make deb
  artifacts:
    paths:
      - ./raw-converter*.deb

